.btn.button-primary,
.button-primary {
  background-color: $transparent;
 /* border: 2px solid $coral;*/
  color: $white;
  border-radius: 0 !important;
  -moz-transition: all 0.4s;
  -webkit-transition: all 0.4s;
  position: relative;
  overflow: hidden;
  height: 60px;
  &.btn-add{
    height: 44px;
  }
  @include media-breakpoint-down(md){
    height: 50px;
    }

  span:first-child{
    z-index: 1;
    position: relative;
    display: inherit;
    border: 2px solid $coral;
    width: 100%;
    height: 100%;
    padding: 0 33px;
    align-items: center;
    justify-content: center;
    &.mat-button-wrapper{
      padding: 0 25px;
     /* min-width:122px ;*/
      @include media-breakpoint-down(md){
        padding: 0 21px;
    }
    }

    @include media-breakpoint-down(md){
      padding: 0 13px;
  }
  }

  &:hover {
    background-color: $transparent;
    color: $coral;
   /* border: 2px solid $coral;*/

    svg {
      path {
        fill: $coral;
      }
    }
  }

  &.disabled {
    background-color: $dark-gray !important;
    border: 2px solid $dark-gray !important;
    color: $white !important;
    opacity: 1 !important;

    &:after {
      background-color: $dark-gray !important;
    }

    &:hover:after,
    &:active:after {
      transform: translate(0, 0) !important;
    }
  }

  &:after {
    content: '';
    position: absolute;
    z-index: 0;
    -webkit-transition: all 0.4s;
    -moz-transition: all 0.4s;
    transition: all 0.4s;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background: $coral;
  }

  &:hover:after,
  &:active:after {
    transform: translate(100%, 0);
  }
}

.btn.button-secondary,
.button-secondary {
  background-color: $transparent;
 /* border: 2px solid $coral;*/
  color: $coral;
  border-radius: 0 !important;
  -moz-transition: all 0.4s;
  -webkit-transition: all 0.4s;
  position: relative;
  height: 60px;
  @include media-breakpoint-down(md){
    height: 50px;
    }
  span.mat-button-wrapper {
    z-index: 1;
    position: relative;
    display: inherit;
    border: 2px solid $coral;
    width: 100%;
    height: 100%;
    padding: 0 22px;align-items: center !important;justify-content: center;
    @include media-breakpoint-down(md){
      padding: 0 19px;
  }
  }

  &:hover {
    background-color: $transparent;
    color: $white;

    svg {
      path {
        fill: $white;
      }
    }
  }

  &.disabled {
    background-color: $dark-gray !important;
    border: 2px solid $dark-gray !important;
    color: $white !important;
    opacity: 1 !important;

    &:after {
      background-color: $dark-gray !important;
    }

    &:hover:after,
    &:active:after {
      transform: translate(0, 0) !important;
    }
  }

  &:after {
    content: '';
    position: absolute;
    z-index: 0;
    -webkit-transition: all 0.4s;
    -moz-transition: all 0.4s;
    transition: all 0.4s;
    width: 0;
    height: 100%;
    top: 0;
    left: 0;
    background: $coral;
  }

  &:hover:after,
  &:active:after {
    width: 100%;
  }
}

.btn.button-ternary,
.button-ternary {
  background-color: $transparent;
  border: 2px solid $dark-gray;
  color: $dark-gray;
  border-radius: 0 !important;
  transition: all 0.4s;
  height: 55px;

  &:hover {
    background-color: $dark-gray;
    color: $white;
  }

  &.disabled {
    background-color: $dark-gray !important;
    border: 2px solid $dark-gray !important;
    color: $white !important;
    opacity: 1 !important;
  }

  &:after {
    content: '';
    position: relative;
    z-index: -1;
    -webkit-transition: all 0.4s;
    -moz-transition: all 0.4s;
    transition: all 0.4s;
    width: 0;
    height: 100%;
    top: 0;
    left: 0;
    background: $dark-gray;
  }

  &:hover:after,
  &:active:after {
    width: 100%;
  }
}

.btn.button-oasis,
.button-oasis {
  background-color: $transparent;
  border: 2px solid $oasis-light;
  color: $white;
  border-radius: 0 !important;
  -moz-transition: all 0.4s;
  -webkit-transition: all 0.4s;
  position: relative;
  overflow: hidden;
  height: 55px;

  span {
    z-index: 1;
    position: relative;
    display: inherit;
  }

  &:hover {
    background-color: $transparent;
    color: $oasis-light;
    border: 2px solid $oasis-light;

    svg {
      path {
        fill: $oasis-light;
      }
    }
  }

  &.disabled {
    background-color: $dark-gray !important;
    border: 2px solid $dark-gray !important;
    color: $white !important;
    opacity: 1 !important;

    &:after {
      background-color: $dark-gray !important;
    }

    &:hover:after,
    &:active:after {
      transform: translate(0, 0) !important;
    }
  }

  &:after {
    content: '';
    position: absolute;
    z-index: 0;
    -webkit-transition: all 0.4s;
    -moz-transition: all 0.4s;
    transition: all 0.4s;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background: $oasis-light;
  }

  &:hover:after,
  &:active:after {
    transform: translate(100%, 0);
  }
}

.btn.button-sea-light,
.button-sea-light {
  background-color: $sea-light;
  border: 2px solid $sea-light;
  color: $white;
  border-radius: 0 !important;
  -moz-transition: all 0.4s;
  -webkit-transition: all 0.4s;
  height: 55px;
  position: relative;

  span {
    z-index: 1;
    position: relative;
    display: inherit;
  }

  &:hover {
    //background-color: $transparent;
    color: $white;

    svg {
      path {
        fill: $white;
      }
    }
  }

  &.disabled {
    background-color: $dark-gray !important;
    border: 2px solid $dark-gray !important;
    color: $white !important;
    opacity: 1 !important;
  }


  &:after {
    content: '';
    position: absolute;
    z-index: 0;
    -webkit-transition: all 0.4s;
    -moz-transition: all 0.4s;
    transition: all 0.4s;
    width: 0;
    height: 100%;
    top: 0;
    left: 0;
    background: $sea-light;
  }

  &:hover:after,
  &:active:after {
    width: 100%;
  }
}

.btn.button-yellow,
.button-yellow {
  background-color: $transparent;
  border: 2px solid $yellow;
  color: $white;
  border-radius: 0 !important;
  -moz-transition: all 0.4s;
  -webkit-transition: all 0.4s;
  position: relative;
  overflow: hidden;
  height: 55px;

  span {
    z-index: 1;
    position: relative;
    display: inherit;
  }

  &:hover {
    background-color: $transparent;
    color: $yellow;
    border: 2px solid $yellow;

    svg {
      path {
        fill: $yellow;
      }
    }
  }

  &:disabled {
    background-color: $dark-gray !important;
    border: 2px solid $dark-gray !important;
    color: $white !important;
    opacity: 1 !important;

    &:after {
      background-color: $dark-gray !important;
    }

    &:hover:after,
    &:active:after {
      transform: translate(0, 0) !important;
    }
  }

  &:after {
    content: '';
    position: absolute;
    z-index: 0;
    -webkit-transition: all 0.4s;
    -moz-transition: all 0.4s;
    transition: all 0.4s;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background: $yellow;
  }

  &:hover:after,
  &:active:after {
    transform: translate(100%, 0);
  }
}

.btn.button-secondary-purple,
.button-secondary-purple {
  background-color: $secondary-purple;
  border: 2px solid $secondary-purple;
  color: $white;
  border-radius: 0 !important;
  -moz-transition: all 0.4s;
  -webkit-transition: all 0.4s;
  height: 55px;
  position: relative;

  span {
    z-index: 1;
    position: relative;
    display: inherit;
  }

  &:hover {
    //background-color: $transparent;
    color: $white;

    svg {
      path {
        fill: $white;
      }
    }
  }

  &.disabled {
    background-color: $dark-gray !important;
    border: 2px solid $dark-gray !important;
    color: $white !important;
    opacity: 1 !important;
  }


  &:after {
    content: '';
    position: absolute;
    z-index: 0;
    -webkit-transition: all 0.4s;
    -moz-transition: all 0.4s;
    transition: all 0.4s;
    width: 0;
    height: 100%;
    top: 0;
    left: 0;
    background: $secondary-purple;
  }

  &:hover:after,
  &:active:after {
    width: 100%;
  }
}

.btn.button-danger,
.button-danger {
  background-color: $transparent;
  border: 2px solid $danger;
  color: $danger;
  border-radius: 0 !important;
  -moz-transition: all 0.4s;
  -webkit-transition: all 0.4s;
  position: relative;
  height: 55px;

  span {
    z-index: 1;
    position: relative;
    display: inherit;
  }

  &:hover {
    background-color: $transparent;
    color: $white;
  }

  &.disabled {
    background-color: $dark-gray !important;
    border: 2px solid $dark-gray !important;
    color: $white !important;
    opacity: 1 !important;

    &:after {
      background-color: $dark-gray !important;
    }

    &:hover:after,
    &:active:after {
      transform: translate(0, 0) !important;
    }
  }

  &:after {
    content: '';
    position: absolute;
    z-index: 0;
    -webkit-transition: all 0.4s;
    -moz-transition: all 0.4s;
    transition: all 0.4s;
    width: 0;
    height: 100%;
    top: 0;
    left: 0;
    background: $danger;
  }

  &:hover:after,
  &:active:after {
    width: 100%;
  }
}

.btn.button-white,
.button-white {
  background-color: $transparent;
  border: 2px solid $white;
  color: $white;
  border-radius: 0 !important;
  -moz-transition: all 0.4s;
  -webkit-transition: all 0.4s;
  position: relative;
  height: 55px;

  span {
    z-index: 1;
    position: relative;
    display: inherit;
  }

  &:hover {
    background-color: $transparent;
    color: $black;
  }

  &.disabled {
    background-color: $dark-gray !important;
    border: 2px solid $dark-gray !important;
    color: $white !important;
    opacity: 1 !important;

    &:after {
      background-color: $dark-gray !important;
    }

    &:hover:after,
    &:active:after {
      transform: translate(0, 0) !important;
    }
  }

  &:after {
    content: '';
    position: absolute;
    z-index: 0;
    -webkit-transition: all 0.4s;
    -moz-transition: all 0.4s;
    transition: all 0.4s;
    width: 0;
    height: 100%;
    top: 0;
    left: 0;
    background: $white;
  }

  &:hover:after,
  &:active:after {
    width: 100%;
  }
}

.btn.button-gray,
.button-gray {
  background-color: $off-white;
  border: 2px solid $off-white;
  color: $onyx;
  border-radius: 0 !important;
  -moz-transition: all 0.4s;
  -webkit-transition: all 0.4s;
  position: relative;
  overflow: hidden;
  height: 55px;

  span {
    z-index: 1;
    position: relative;
    display: inherit;
  }

  &:hover {
    background-color: $off-white;
    color: $onyx;
    border: 2px solid $off-white;
  }

  &.disabled {
    background-color: $dark-gray !important;
    border: 2px solid $dark-gray !important;
    color: $white !important;
    opacity: 1 !important;

    &:after {
      background-color: $dark-gray !important;
    }

    &:hover:after,
    &:active:after {
      transform: translate(0, 0) !important;
    }
  }

  &:after {
    content: '';
    position: absolute;
    z-index: 0;
    -webkit-transition: all 0.4s;
    -moz-transition: all 0.4s;
    transition: all 0.4s;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background: $off-white;
  }

  &:hover:after,
  &:active:after {
    transform: translate(100%, 0);
  }
}

.square-btn {
  width: 40px;
  height: 40px;
  min-width: 40px;
  min-height: 40px;
  max-width: 40px;
  max-height: 40px;
  line-height: 1;
  position: relative;
  border:none;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: all .3s linear;
  &:after {
    content: '';
    position: absolute;
    z-index: 0;
    -webkit-transition: all 0.4s;
    -moz-transition: all 0.4s;
    transition: all 0.4s;
    width: 0;
    height: 100%;
    top: 0;
    left: 0;
  }

  &:hover:after,
  &:active:after {
    width: 100%;
  }
  span {
    z-index: 1;
    position: relative;
    display: inherit;
  }
  &.edit{
    background-color: rgba($sea-light,.2);
    color:$sea-light;
    &:after{
      background-color: rgba($sea-light,.3);
    }
  }
}

.add-tag-button {
  width: 36px !important;
  height: 36px !important;
  position: relative;
  top: -3px;

  .square-btn {
    width: 36px !important;
    min-width: 36px !important;
    height: 36px !important;
    display: flex;
    align-items: center;
    justify-content: center;
  }
}

.mat-chip-list {
  position: relative;
  top: -10px;
}

.toggle-video {
  background-color: rgba($black, .36);
  width: 67px;
  height: 67px;
  display: flex;
  align-items: center;
  justify-content: center;
  border: none;
  border-radius: 0 !important;
  -moz-transition: all 0.4s;
  -webkit-transition: all 0.4s;
  position: relative;
  overflow: hidden;

  span {
    z-index: 1;
    position: relative;
    display: inherit;

    svg {
      path {
        fill: $white;
      }
    }
  }

  &:hover {
    background-color: $coral;
    color: $coral;


    svg {
      path {
        fill: $white;
      }
    }
  }

  &.disabled {
    background-color: $dark-gray !important;
    border: 2px solid $dark-gray !important;
    color: $white !important;
    opacity: 1 !important;

    &:after {
      background-color: $dark-gray !important;
    }

    &:hover:after,
    &:active:after {
      transform: translate(0, 0) !important;
    }
  }

  &:after {
    content: '';
    position: absolute;
    z-index: 0;
    -webkit-transition: all 0.4s;
    -moz-transition: all 0.4s;
    transition: all 0.4s;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background-color: rgba($black, .36);
  }

  &:hover:after,
  &:active:after {
    transform: translate(100%, 0);
  }
}

.custom-btn-group {
  &.btn-group > .btn {
    border-radius: 0 !important;
    background-color: $light-gray;
    color: $onyx;
    border: 0;
    font-size: 1rem;
    height: 50px;
    padding: 0 2em;

    &.active {
      background-color: $primary-purple;
      color: $white;
    }
  }

  &.btn-group > .btn:not(:first-child) {
    margin: 0 20px;
  }
}

.custom-btn-group-2 {
  width: 100%;
  display: flex;
  justify-content: stretch;

  &.btn-group > .btn {
    border-radius: 0 !important;
    background-color: $light-gray;
    border: 0;
    font-size: 0.875rem;
    height: 50px;
    padding: 0 2em;
    font-weight: $font-medium;

    &:nth-child(1) {
      color: $oasis-light;
    }

    &:nth-child(2) {
      color: $primary-purple;

      &.active {
        background-color: $orange;
        color: $white;
      }
    }

    &:nth-child(3) {
      color: $coral;
    }
  }
}

.tags {
  display: flex;
  flex-wrap: wrap;

  .tag {
    height: 24px;
    background-color: $light-gray;
    color: $onyx;
    font-size: 12px;
    font-weight: normal;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0 .5em;

    span:first-child {
      margin: 0 5px;
    }

    span:last-child {
      display: flex;
    }
  }

  .tag:not(:first-child) {
    margin-left: 20px;
  }
}

.add-skill-btn{
  width: 23px;
  height: 23px;
  align-self: center;
  position: relative;
  top: -3px;
  border-radius: 2px;
  background-color: $coral;
  color: $white;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  font-size: .8rem;
  cursor:pointer
}

.primary-btn-group-toggle{
  .btn{
    border-radius: 0;
    background-color: $light-gray;
    color: $onyx;
    margin: 0;
    width: 100%;
    height: 36px;
    display: flex;
    align-items: center;
    justify-content: center;
    box-shadow: none;
    outline: none;
    &.active{
      background-color: $coral;
      color: $white;
    }

  }
  &.purple{
    .btn{
      min-width: 120px;
      white-space: nowrap;
      width: auto;
      &.active{
        background-color: $primary-purple;
      }
    }
    &.on-off-white{
      .btn{
        background-color: $white;
        color: $onyx;
        &.active{
          background-color: $primary-purple;
          color:$white;
        }
      }
    }
  }
}

.btn{
  &.small-btn{
    height: 40px;
    min-width: 45px;
  }
  &.semi-btn{
    height: 47px;
  }
  &.square-btn{
    height: 37px;
    min-width: 37px;
  }
}

.filter-button{
  display: flex;
  align-items: center;
  justify-content: center;
}
button{
  app-loading-spinner {
    display: inline-flex;
    width: 25px;
    margin: 0 15px;

    .spinner {
      width: 25px;
      height: 25px;
      //position: absolute;
      top: 0;
      left: 0;
      right: 0;
      bottom: 0;
      margin: auto;
      -webkit-animation: rotate-all 1.3s linear infinite;
    }

    .right-side,
    .left-side {
      width: 50%;
      height: 100%;
      position: absolute;
      top: 0;
      overflow: hidden;
    }

    .left-side {
      left: 0;
    }

    .right-side {
      right: 0;
    }

    .bar {
      width: 100%;
      height: 100%;
      border-radius: 50px 0 0 50px;
      border: 4px solid #fff;
      position: relative;
    }

    .bar:after {
      content: "";
      width: 4px;
      height: 4px;
      display: block;
      background: #fff;
      position: absolute;
    }

    .right-side .bar {
      border-radius: 0 60px 60px 0;
      border-left: none;
      border-color: #fff;
      transform: rotate(-10deg);
      transform-origin: left center;
      display: none;
      animation: rotate-right .75s linear infinite alternate;
    }

    .right-side .bar:after {
      bottom: -4px;
      left: -5px;
      height: 4px;
    }

    .left-side .bar {
      border-right: none;
      transform: rotate(0deg);
      transform-origin: right center;
      animation: rotate-left .75s linear infinite alternate;
    }

    .left-side .bar:after {
      bottom: -4px;
      right: -4px;
      height: 4.3px;
      background: #FF375E;
    }

    @keyframes rotate-left {
      to {
        transform: rotate(30deg);
      }

      from {
        transform: rotate(175deg);
      }
    }

    @keyframes rotate-right {
      from {
        transform: rotate(-175deg);
      }

      to {
        transform: rotate(-30deg);
      }
    }

    @keyframes rotate-all {
      from {
        transform: rotate(0deg);
      }

      to {
        transform: rotate(-360deg);
      }
    }
  }
}
.mat-button-ripple.mat-ripple, .mat-button-focus-overlay {
  background: transparent;
}